# Generated by Django 4.0.4 on 2022-04-16 08:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('accounts', '0001_initial'),
        ('auth', '0012_alter_user_first_name_max_length'),
        ('sms_hub', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='accountservice',
            name='service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='accounts', to='sms_hub.service'),
        ),
        migrations.AddField(
            model_name='accountactivation',
            name='account',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='activations', related_query_name='activation', to='accounts.account'),
        ),
        migrations.AddField(
            model_name='accountactivation',
            name='activation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='accounts', related_query_name='account', to='sms_hub.activation'),
        ),
        migrations.AddField(
            model_name='user',
            name='groups',
            field=models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups'),
        ),
        migrations.AddField(
            model_name='user',
            name='user_permissions',
            field=models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions'),
        ),
    ]
